/*toc*/
.toc-article {
  position: absolute;
  border-left: none;
  padding: 1em 1em 0.8em 1em;
  margin-left: 1em;
  width: 300px;
  max-height: 72vh;
  overflow: auto;
  background: rgba(255,255,255,0.88);
  border-radius: 6px;
}
.toc-title {
  font-size: 120%;
  font-weight: 700;
}
.toc-title:before {
  font-family: "FontAwesome";
  content: "\f02e";
  margin-right: 0.5em;
}
@media screen and (max-width: 1100px) {
  #toc {
    display: none;
  }
}
#toc {
  width: inherit;
  line-height: 1.5em;
  font-size: 14px;
  float: left;
  overflow: visible;
}
@media mq-mobile {
  #toc {
    display: none;
  }
}
@media mq-tablet {
  #toc {
    display: none;
  }
}
.toc-fixed {
  position: fixed;
  top: 70px;
  margin-top: 0;
  max-height: 72vh;
  overflow: auto;
  z-index: 1;
}
.toc-nav {
  padding: 0;
  margin: 0.8em 0 0;
  line-height: 1.8em;
}
.toc-nav li {
  list-style-type: none;
  margin: 0;
}
.toc-nav li a:hover {
  background-color: transparent !important;
}
.toc-nav .active > a {
  color: color-theme;
}
.toc-nav-link {
  font-family: "futura-pt", Helvetica, Arial, "Hiragino Sans GB", "Hiragino Sans GB W3", Microsoft JhengHei, WenQuanYi Micro Hei, "Microsoft YaHei", sans-serif;
  color: #3f3f3f;
  padding: 2px 0 !important;
  display: block;
  word-break: break-word;
  overflow-wrap: anywhere;
}
.toc-nav-link:hover {
  color: color-theme;
}
.toc-nav-number {
  display: none;
}
.toc-nav-child {
  margin-left: 0.9em;
  padding-left: 0.7em;
  border-left: none;
}
.toc-nav-level-4,
.toc-nav-level-5,
.toc-nav-level-6 {
  display: none;
}
#sidebar {
  display: inline;
  float: left;
  padding-left: 12px;
}
